﻿CREATE DATABASE navdb
GO

use navdb
go

CREATE TABLE clients (
  [Preffix] varchar(10) NOT NULL,
  [OfficeName] varchar(45) NOT NULL,
  [Enabled] integer NOT NULL DEFAULT -1,
   PRIMARY KEY (Preffix)
  );



CREATE TABLE units (
  [VehicleID] bigint  NOT NULL DEFAULT 0,
  [Preffix] varchar(10) NOT NULL DEFAULT '',
  PRIMARY KEY (VehicleID)
);



CREATE TABLE messagecodes (
  [Mcode] integer  NOT NULL DEFAULT 0,
  [DispatcherText] varchar(100) DEFAULT NULL,
  [VehicleText] varchar(100) DEFAULT NULL,
  PRIMARY KEY (Mcode)
);


CREATE TABLE test_navdata_ex (
  [VehicleID] integer  NOT NULL DEFAULT 0,
  [GMTime] integer  NOT NULL DEFAULT 0,
  [Type] smallint  NOT NULL DEFAULT 0,
  [Num] smallint  NOT NULL DEFAULT 0,
  [Param] smallint  NOT NULL DEFAULT 0,
  [FValue] real  NOT NULL DEFAULT 0,
  [SValue] varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (VehicleID,GMTime,Type,Num,Param)
  );




CREATE TABLE test_navdata (
  [VehicleID] integer  NOT NULL default 0,
  [GMTime] integer  NOT NULL default 0,
  [PositionX] real  default NULL,
  [PositionY] real default NULL,
  [Speed] integer  default 0,
  [Course] integer  default 0,
  [VehicleStatus] varchar(25) default 0,
  [Pdop] integer default 0,
  [NSatellits] integer  default 0,
  [Validity] integer  default 1,
  [Visible] integer  default 1,
  [RTFlag] integer  default 0,
  [DataChannelID] integer  default 0,
  [Ain0] integer  default 0,
  [Ain1] integer  default 0,
  [Ain2] integer  default 0,
  [Ain3] integer default 0,
  [Din] integer  default 0,
  [Dout] integer  default 0,
  [Track] integer  default 0,
  PRIMARY KEY  (VehicleID,GMTime)
);




CREATE TABLE test_vehicles (
  [VehicleID] bigint  NOT NULL default 0,
  [VehicleRegNumber] varchar(15) default NULL,
  [GroupID] integer  default 0,
  [VehicleTypeID] integer  default 0,
  [PhoneNumber] varchar(11) default NULL,
  [VehicleColor] integer  default 0,
  [DeviceType] integer  default 0,
  [GMTime1] integer  default NULL,
  [GMTime2] integer  default NULL,
  [GMTime3] integer  default NULL,
  [GMTime4] integer  default NULL,
  [PositionX] real  default NULL,
  [PositionY] real  default NULL,
  [Speed] integer  default NULL,
  [Course] integer  default NULL,
  [VehicleStatus] varchar(25)  default NULL,
  [Pdop] integer  default NULL,
  [NSatellits] integer  default NULL,
  [Validity] integer default NULL,
  [Comments] varchar(25) default NULL,
  [RSSY] integer default NULL,
  [VoiceGroup] integer  default NULL,
  [BlowfishKey] varchar(32)  default 00000000000000000000000000000000,
  [TaxiStatus] integer  default NULL,
  [DevType] varchar(20) default NULL,
  [Protocol] varchar(20)  default NULL,
  [DriverName] varchar(45) DEFAULT NULL,
  [VIN] varchar(20) default NULL,
  [CallSign] varchar(32) default NULL,
  PRIMARY KEY  (VehicleID)
);



CREATE TABLE test_vehprobes (
  [VehicleID] integer  NOT NULL DEFAULT 0,
  [Ain] integer  NOT NULL DEFAULT 0,
  [ProbeLimit] integer DEFAULT NULL,
  [UpperLimit] integer DEFAULT 0,
  [Status] integer DEFAULT NULL,
  PRIMARY KEY (VehicleID,Ain)
);



CREATE TABLE test_vehstatus (
  [VehicleStatus] integer NOT NULL DEFAULT 0,
  PRIMARY KEY (VehicleStatus)
);



CREATE TABLE test_vehtypes (
  [VehicleTypeID] integer  NOT NULL DEFAULT 0,
  [TypeText] varchar(30) DEFAULT NULL,
  [Q1] real  DEFAULT NULL,
  [Q2] real  DEFAULT NULL,
  [Q3] real  DEFAULT NULL,
  [TypeColor] integer  DEFAULT 0,
  [QMORE20] real  DEFAULT NULL,
  [QLESS20] real  DEFAULT NULL,
  [QZERO] real  DEFAULT NULL,
  PRIMARY KEY (VehicleTypeID)
);


CREATE TABLE test_vehgroups (
  [GroupID] integer  NOT NULL DEFAULT 0,
  [GroupText] varchar(45) DEFAULT NULL,
  [GroupColor] integer  DEFAULT 0,
  PRIMARY KEY (GroupID)
);



CREATE TABLE test_users (
  [Login] varchar(20) NOT NULL DEFAULT '',
  [Password] varchar(20) DEFAULT NULL,
  [UserName] varchar(45) DEFAULT NULL,
  [ServerTime] real  DEFAULT NULL,
  [Interaction] integer  DEFAULT 0,
  [UserType] integer  DEFAULT 0,
  PRIMARY KEY (Login)
);



CREATE TABLE test_user__groups (
  [Login] varchar(20) NOT NULL DEFAULT ' ',
  [GroupID] integer NOT NULL DEFAULT 0,
  PRIMARY KEY (Login,GroupID)
);


CREATE TABLE test_sensors (
  [VehicleID] integer  NOT NULL,
  [Num] integer  NOT NULL,
  [TypeID] integer  NOT NULL,
  [Info] varchar(200) DEFAULT NULL,
  [Inversion] integer NOT NULL DEFAULT 0,
  [Sync] integer NOT NULL DEFAULT 0,
  PRIMARY KEY (VehicleID,Num)
);


CREATE TABLE test_senscalibrations (
  [VehicleID] integer  NOT NULL,
  [Num] integer  NOT NULL,
  [IntValue] integer  NOT NULL,
  [RealValue] real  NOT NULL DEFAULT 0,
  PRIMARY KEY (VehicleID,Num,IntValue)
);


CREATE TABLE test_messagesin (
  [VehicleID] integer  NOT NULL DEFAULT 0,
  [GMTime] integer  NOT NULL DEFAULT 0,
  [CloseTime] real  DEFAULT NULL,
  [VehicleStatus] varchar(25) DEFAULT 0,
  PRIMARY KEY (VehicleID,GMTime)
);



CREATE TABLE test_messagesout (
  [VehicleID] integer  NOT NULL DEFAULT 0,
  [SendTime] real  DEFAULT 0,
  [DispatcherLogin] varchar(20) DEFAULT NULL,
  [MessageCode] integer  DEFAULT 0,
  [MessageText] varchar(80) DEFAULT NULL
);




