﻿CREATE DATABASE IF NOT EXISTS `navdb`;

DROP TABLE IF EXISTS `navdb`.`navdata_ex`;


DROP TABLE IF EXISTS `navdb`.`clients`;
CREATE TABLE `navdb`.`clients` (
  `Preffix` varchar(10) NOT NULL,
  `OfficeName` varchar(45) NOT NULL,
  `Enabled` int(1) NOT NULL DEFAULT '-1',
   PRIMARY KEY (`Preffix`)
  ) ENGINE=InnoDB DEFAULT CHARSET=latin1;



DROP TABLE IF EXISTS `navdb`.`units`;
CREATE TABLE `navdb`.`units` (
  `VehicleID` int(10) unsigned NOT NULL DEFAULT '0',
  `Preffix` varchar(10) NOT NULL DEFAULT '',
  PRIMARY KEY (`VehicleID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



DROP TABLE IF EXISTS `navdb`.`messagecodes`;
CREATE TABLE `navdb`.`messagecodes` (
  `Mcode` int(1) unsigned NOT NULL DEFAULT '0',
  `DispatcherText` varchar(100) DEFAULT NULL,
  `VehicleText` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`Mcode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



CREATE TABLE `navdb`.`navdata_ex` (
  `VehicleID` int(10) unsigned NOT NULL DEFAULT '0',
  `GMTime` int(10) unsigned NOT NULL DEFAULT '0',
  `Type` smallint(5) unsigned NOT NULL DEFAULT '0',
  `Num` smallint(5) unsigned NOT NULL DEFAULT '0',
  `Param` smallint(5) unsigned NOT NULL DEFAULT '0',
  `FValue` double NOT NULL DEFAULT '0',
  `SValue` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`VehicleID`,`GMTime`,`Type`,`Num`,`Param`)
  ) ENGINE=InnoDB DEFAULT CHARSET=latin1;



DROP TABLE IF EXISTS `navdb`.`navdata`;
CREATE TABLE `navdb`.`navdata` (
  `VehicleID` int(4) unsigned NOT NULL default '0',
  `GMTime` int(4) unsigned NOT NULL default '0',
  `PositionX` double default NULL,
  `PositionY` double default NULL,
  `Speed` int(2) unsigned default '0',
  `Course` int(2) unsigned default '0',
  `VehicleStatus` varchar(25) default '0;',
  `Pdop` int(2) unsigned default '0',
  `NSatellits` int(2) unsigned default '0',
  `Validity` int(1) unsigned default '1',
  `Visible` int(1) unsigned default '1',
  `RTFlag` int(1) unsigned default '0',
  `DataChannelID` int(1) unsigned default '0',
  `Ain0` int(2) unsigned default '0',
  `Ain1` int(2) unsigned default '0',
  `Ain2` int(2) unsigned default '0',
  `Ain3` int(2) unsigned default '0',
  `Din` int(1) unsigned default '0',
  `Dout` int(1) unsigned default '0',
  `Track` int(2) unsigned default '0',
  PRIMARY KEY  (`VehicleID`,`GMTime`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;




DROP TABLE IF EXISTS `navdb`.`vehicles`;
CREATE TABLE `navdb`.`vehicles` (
  `VehicleID` int(4) unsigned NOT NULL default '0',
  `VehicleRegNumber` varchar(15) default NULL,
  `GroupID` int(2) unsigned default '0',
  `VehicleTypeID` int(2) unsigned default '0',
  `PhoneNumber` varchar(11) default NULL,
  `VehicleColor` int(4) unsigned default '0',
  `DeviceType` int(2) unsigned default '0',
  `GMTime1` int(4) unsigned default NULL,
  `GMTime2` int(4) unsigned default NULL,
  `GMTime3` int(4) unsigned default NULL,
  `GMTime4` int(4) unsigned default NULL,
  `PositionX` double default NULL,
  `PositionY` double default NULL,
  `Speed` int(2) unsigned default NULL,
  `Course` int(2) unsigned default NULL,
  `VehicleStatus` varchar(25)  default NULL,
  `Pdop` int(2) unsigned default NULL,
  `NSatellits` int(2) unsigned default NULL,
  `Validity` int(1) default NULL,
  `Comments` varchar(25) default NULL,
  `RSSY` int(2) default NULL,
  `VoiceGroup` int(2) unsigned default NULL,
  `BlowfishKey` varchar(32)  default '00000000000000000000000000000000',
  `TaxiStatus` int(2) unsigned default NULL,
  `DevType` varchar(20) default NULL,
  `Protocol` varchar(20)  default NULL,
  `DriverName` varchar(45) DEFAULT NULL,
  `VIN` varchar(20) default NULL,
  `CallSign` varchar(32) default NULL,
  PRIMARY KEY  (`VehicleID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `navdb`.`vehprobes`;
CREATE TABLE `navdb`.`vehprobes` (
  `VehicleID` int(10) unsigned NOT NULL DEFAULT '0',
  `Ain` int(2) unsigned NOT NULL DEFAULT '0',
  `ProbeLimit` int(2) DEFAULT NULL,
  `UpperLimit` int(1) DEFAULT '0',
  `Status` int(2) DEFAULT NULL,
  PRIMARY KEY (`VehicleID`,`Ain`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



DROP TABLE IF EXISTS `navdb`.`vehstatus`;
CREATE TABLE `navdb`.`vehstatus` (
  `VehicleStatus` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`VehicleStatus`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `navdb`.`vehtypes`;
CREATE TABLE `navdb`.`vehtypes` (
  `VehicleTypeID` int(2) unsigned NOT NULL DEFAULT '0',
  `TypeText` varchar(30) DEFAULT NULL,
  `Q1` double DEFAULT NULL,
  `Q2` double DEFAULT NULL,
  `Q3` double DEFAULT NULL,
  `TypeColor` int(4) unsigned DEFAULT '0',
  `QMORE20` double DEFAULT NULL,
  `QLESS20` double DEFAULT NULL,
  `QZERO` double DEFAULT NULL,
  PRIMARY KEY (`VehicleTypeID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `navdb`.`vehgroups`;
CREATE TABLE `navdb`.`vehgroups` (
  `GroupID` int(2) unsigned NOT NULL DEFAULT '0',
  `GroupText` varchar(45) DEFAULT NULL,
  `GroupColor` int(4) unsigned DEFAULT '0',
  PRIMARY KEY (`GroupID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



DROP TABLE IF EXISTS `navdb`.`users`;
CREATE TABLE `navdb`.`users` (
  `Login` varchar(20) NOT NULL DEFAULT '',
  `Password` varchar(20) DEFAULT NULL,
  `UserName` varchar(45) DEFAULT NULL,
  `ServerTime` double DEFAULT NULL,
  `Interaction` int(1) unsigned DEFAULT '0',
  `UserType` int(1) unsigned DEFAULT '0',
  PRIMARY KEY (`Login`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



DROP TABLE IF EXISTS `navdb`.`user__groups`;
CREATE TABLE `navdb`.`user__groups` (
  `Login` varchar(20) NOT NULL DEFAULT '',
  `GroupID` int(2) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`Login`,`GroupID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `navdb`.`sensors`;
CREATE TABLE `navdb`.`sensors` (
  `VehicleID` int(4) unsigned NOT NULL,
  `Num` int(2) unsigned NOT NULL,
  `TypeID` int(1) unsigned NOT NULL,
  `Info` varchar(200) DEFAULT NULL,
  `Inversion` int(1) NOT NULL DEFAULT '0',
  `Sync` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`VehicleID`,`Num`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `navdb`.`senscalibrations`;
CREATE TABLE `navdb`.`senscalibrations` (
  `VehicleID` int(4) unsigned NOT NULL,
  `Num` int(2) unsigned NOT NULL,
  `IntValue` int(2) unsigned NOT NULL,
  `RealValue` double NOT NULL DEFAULT '0',
  PRIMARY KEY (`VehicleID`,`Num`,`IntValue`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `navdb`.`messagesin`;
CREATE TABLE `navdb`.`messagesin` (
  `VehicleID` int(10) unsigned NOT NULL DEFAULT '0',
  `GMTime` int(4) unsigned NOT NULL DEFAULT '0',
  `CloseTime` double DEFAULT NULL,
  `VehicleStatus` varchar(25) DEFAULT '0;',
  PRIMARY KEY (`VehicleID`,`GMTime`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



DROP TABLE IF EXISTS `navdb`.`messagesout`;
CREATE TABLE `navdb`.`messagesout` (
  `VehicleID` int(10) unsigned NOT NULL DEFAULT '0',
  `SendTime` double DEFAULT '0',
  `DispatcherLogin` varchar(20) DEFAULT NULL,
  `MessageCode` int(1) unsigned DEFAULT '0',
  `MessageText` varchar(80) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


insert into `navdb`.`users`(Login,Password,UserName,Interaction,UserType) values('Admin','1111','Administrator',0,0);

